People - Contacts API
Bu içerik henüz dilinizde mevcut değil.
Tip : If you are looking for information on how to integrate Active Directory or another LDAP system with R-Service, please refer to the Directory Services page of the Import API .
- List all contacts of a person
- Get a single contact of a person
- Add a contact to a person
- Update a contact of a person
- Remove a contact from a person
- Remove all contacts from a person
- Fields
List all contacts of a person
Заголовок раздела «List all contacts of a person»List all contacts of a person with a specific ID:
GET /people/:id/contactsResponse
Заголовок раздела «Response»Status: 200 OK[ { "label": "mobile", "id": 1720, "telephone": "+1 03 413 7223" }, { "label": "personal", "id": 1826, "website": "www.my-stie.com" }]The response contains these fields by default.
Get a single contact of a person
Заголовок раздела «Get a single contact of a person»GET /people/:id/contacts/:idResponse
Заголовок раздела «Response»Status: 200 OK{ "label": "mobile", "id": 1720, "telephone": "+1 03 413 7223", "integration": true}The response contains these fields .
Add a contact to a person
Заголовок раздела «Add a contact to a person»Add a contact to a person with a specific ID.
POST /people/:id/contactsWhen creating a new contact for a person these fields are available.
Response
Заголовок раздела «Response»Status: 201 Created{ "label": "work", "...": "..."}The response contains all fields of the created contact and is similar to the response in Get a single contact of a person
Update a contact of a person
Заголовок раздела «Update a contact of a person»Update a contact with a specific ID of a person with a specific ID.
PATCH /people/:id/contacts/:contact_idWhen updating an existing contact for a person these fields are available.
Response
Заголовок раздела «Response»Status: 200 OK{ "label": "work", "...": "..."}The response contains all fields of the created contact and is similar to the response in Get a single contact of a person
Remove a contact from a person
Заголовок раздела «Remove a contact from a person»Remove a contact with a specific ID link from a person with a specific ID.
DELETE /people/:id/contacts/:contact_idResponse
Заголовок раздела «Response»Status: 204 No ContentRemove all contacts from a person
Заголовок раздела «Remove all contacts from a person»Remove all contacts from a person with a specific ID.
DELETE /people/:id/contacts/Response
Заголовок раздела «Response»Status: 204 No ContentOptional string (max 255) — The Email field is used to enter the person’s work or personal email address.
id
Readonly integer — The unique ID of the contact.
integration
Optional
boolean
, default:
false
— The Integration field is a hidden checkbox that can be set to
true
using this API or the Import functionality. When checked, the contact is displayed as read-only in the user interface to prevent users from updating it.
label
Required enum — The Label of the contact details. Valid values are:
chat_skype: only forchatchat_slack: only forchatchat_teams: only forchatchat_workchat: only forchatfax: only fortelephonehome: only fortelephonemobile: only fortelephonepersonal: only foremailandwebsitework: only fortelephone,emailandwebsite
telephone
Optional string (max 255) — The Telephone field is used to enter the person’s work, mobile, home, or fax number.
chat
Optional string (max 255) — The Chat field is used to enter the link that can be used to start a direct chat with the person. A separate link can be entered for each chat application that the person uses.
website
Optional string (max 255) — The Website field is used to enter the person’s work or personal website URL.